Skip to navigation

Get inference data.

View as Markdown
Retrieve inference details using a workload id.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

workloadIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the workload.

Response

Executed successfully.
namestringformat: ".*">=1 character
The name of the workload.
requestedNamestring
The name as was requested for the workload. If useGivenNameAsPrefix, in the creation request, is false, name and requestedName should be identical. Otherwise, name should be composed of requestedName followed by a suffix of random characters.
workloadIdstringformat: "uuid"
A unique ID of the workload.
projectIdstringformat: ".*"
The id of the project.
clusterIdstringformat: "uuid"
The id of the cluster.
createdBystring
The user who created the workload
createdAtdatetime
The creation time of the workload.
desiredPhaseenum
The desired phase of the workload.
Allowed values:
departmentIdstringOptionalformat: ".*">=1 character
The id of the department.
deletedAtdatetime or nullOptional
The deletion time of the workload.
actualPhaseenumOptional
specobjectOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error